.nav {
  position: fixed;
  background-color: black;
  border-right: 1px solid var(--theme-1);
  color: black;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  width: 0;
  transition: 0.6s ease-in-out all;
  padding: 0;
  padding-top: 100px;
  left: 0;
  top: 0;
  bottom: 0;
  width: 200px;
  box-shadow: none;
  transform: translateX(-100%);
  transition: 0.6s ease-in-out;
  overflow-x: hidden;
  z-index: 100;

}

.nav.expand {
  width: 200px;
  border-right: 1px solid var(--black);
  background-color: rgba(0, 0, 0, 0.623);
  backdrop-filter: blur(15px);
  box-shadow: 0px 0px 30px var(--theme-1-light);
  padding: 5px;
  padding-top: 100px;
  transform: translateX(0);

}

.nav .links {
  display: flex;
  flex-direction: column;
  row-gap: 15px;
}

.nav .links a {
  color: var(--white);
  text-decoration: none;
  padding-left: 5px;
  border-left: 1px solid black;
  margin-left: 5px;
  transition: 0.6s ease-in-out;
  font-size: 0.9rem;
}

.nav .links a:hover {
  color: var(--theme-1);
  text-decoration: none;
  padding-left: 8px;
  border-left: 1px solid gold;
  margin-left: 5px;
  font-size: 0.9rem;
}

.nav-btn a {
  padding: 4px 10px;
  color: var(--theme-1);
  box-shadow: -4px 4px 0px var(--black);
  font-size: 0.7rem;
  background-color: var(--black);
  outline: none;
  border: none;
  transition: 0.6s ease-in-out;
  border: 1px solid var(--theme-1);
}

.navbar-btn a {
  padding: 4px 10px;
  color: var(--theme-1);
  box-shadow: -4px 4px 0px var(--black);
  font-size: 0.7rem;
  background-color: var(--black);
  outline: none;
  border: none;
  cursor: pointer;
  transition: 0.6s ease-in-out;
  border: 1px solid var(--theme-1);
}

.navbar-btn a:hover {
  background-color: var(--black);
  color: var(--theme-1);
  transform: translate(2px, -2px);
  box-shadow: -8px 8px 8px var(--black);
}


.nav-btn a:hover {
  background-color: var(--black);
  color: var(--theme-1);
  transform: translate(2px, -2px);
  box-shadow: -8px 8px 8px var(--black);
}


/* top nav: */


nav .brand p {
  font-size: 0.8rem;
}

nav {
  height: 4rem;
  width: 100%;
  box-sizing: border-box;
  padding: 5px 10px;
  background-color: rgba(0, 0, 0, 0.336);
  backdrop-filter: blur(10px);
  box-shadow: 0px 0px 30px black;
  position: fixed;
  display: flex;
  flex-direction: row;
  z-index: 101;
  align-items: center;
  justify-content: space-between;
  top: 0;
  right: 0;
  left: 0;
}

.right {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.menu {
  display: flex;
  flex-direction: column;
  column-gap: 5px;
  align-items: center;
  justify-content: space-between;
  height: 20px;
  width: 40px;
}

.hamburger {
  background-color: var(--theme-1);
  width: 23px;
  height: 2px;
  border-radius: 1px;
}

.book-btn button {
  background-color: rgba(0, 0, 0, 0.301);
  box-sizing: border-box;
  color: var(--theme-1);
  text-align: center;
  border: 1px solid var(--theme-1);
  height: 35px;
  
  box-shadow: 0px 0px 10px black;
  outline: none;
  padding: 10px;
}




